Subject: [regext] draft-ietf-regext-data-escrow Examples Validation

From: "Gould, James" <[email-masked]>
Date: Tue, 10 Dec 2019 20:06:22 +0000

I performed a validation of the XML and CSV examples in draft-ietf-regext-dnrd-objects-mapping upon the request of Scott Hollenbeck, the Document Shepherd for draft-ietf-regext-dnrd-objects-mapping.  While performing the validation of draft-ietf-regext-dnrd-objects-mapping, I uncovered an issue with draft-ietf-regext-data-escrow that I include in issue #1 below.  Below are the list of issues identified while performing the validation of the examples in draft-ietf-regext-dnrd-objects-mapping.  I will work with Gustavo to correct the issues.

  1.  draft-ietf-regext-data-escrow
     *   The rde:contentsType should be defined with minOccurs=”0”; otherwise you can’t include a differential or incremental deposit with only deleted objects.  The rde:contents element in draft-ietf-regext-data-escrow of the rde:escrowDepositType should be defined with minOccurs=”0” also for the same reason.
  2.  Section 5.1.1.1 <rdeDomain:domain> object

     *   Found the use of inconsistent XML prefixes for the RDE Domain content example (“rdeDom”) and the delete example (“rdeDomain”).  I believe that “rdeDomain” should be used in place of “rdeDom”.

  1.  Section 17 Example of a full deposit using the XML model

     *   “Domain” is spelled “Domian”.
     *   Remove <rde:deposit> “prevID” attribute for a full deposit.

  1.  Section 5.6.1.2
     *   <rdeNNDN:delete> object </rdeNDN:aName> needs to be </rdeNNDN:aName>

  1.  Section 19 full CSV deposit

     *   Remove <rde:deposit> “prevID” attribute for a full deposit.

  1.  Section 5.5.2.1.1 “idnLanguage CSV File Definition

     *   Example needs to be updated to use <rdeCsv:csv name="idnLanguage" sep=","> and not include the <rdeCsv:sep>,</rdeCsv:sep> element.

  1.  Section 5.2.2.1.3 “hostAddresses” CSV File Definition

     *   Change reference of hostAddressesObj-YYYYMMDD.csv to hostAddresses-YYYYMMDD.csv

  1.  Need to update the dates to a more recent date than 2010 throughout the examples.

     *   Section 17 “full XML deposit”
                                                              i.      <rde:deposit> element “id” attribute value of "20101017001".  I recommend changing it to something like “20191217001”.
                                                            ii.      <rde:watermark> element date should be set to a 2019 value, such as “2019-12-17T00:00:00Z”

     *   Section 18 “differential XML deposit”
                                                              i.      <rde:deposit> element “id” attribute value of "20101017002" and “prevId” attribute value of “20101017001”.  I recommend changing the “id” attribute to “20191217002” and the “prevId” attribute to “20191217001”.
                                                            ii.      <rde:watermark> element date should be set to a 2019 value, such as “2019-12-17T00:00:00Z”

     *   Section 19 “full CSV deposit”
                                                              i.      <rde:deposit> element “id” attribute value of "20101017001".  I recommend changing it to something like “20191217001”.
                                                            ii.      <rde:watermark> element date should be set to a 2019 value, such as “2019-12-17T00:00:00Z”

     *   Section 20 “differential CSV deposit”
        *   <rde:deposit> element “id” attribute value of "20101017002" and “prevId” attribute value of “20101017001”.  I recommend changing the “id” attribute to “20191217002” and the “prevId” attribute to “20191217001”.
        *   <rde:watermark> element date should be set to a 2019 value, such as “2019-12-17T00:00:00Z”

Thanks,

--

JG

James Gould
Distinguished Engineer
[email-masked]<applewebdata://13890C55-AAE8-4BF3-A6CE-B4BA42740803/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>